import { Plugin } from "@webiny/plugins";
import { ElasticsearchIndexRequestBody } from "../../types";
export interface ElasticsearchIndexPluginParams {
    /**
     * For which locales are we applying this plugin.
     * Options:
     *  - locale codes to target specific locale
     *  - null for all
     */
    locales?: string[];
    body: ElasticsearchIndexRequestBody;
}
export declare abstract class ElasticsearchIndexPlugin extends Plugin {
    readonly body: ElasticsearchIndexRequestBody;
    private readonly locales;
    constructor(params: ElasticsearchIndexPluginParams);
    canUse(locale: string): boolean;
}
