"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorNotInPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorNotInPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.notIn.default";
  getOperator() {
    return "not_in";
  }
  apply(query, params) {
    const {
      value: values,
      path,
      basePath,
      name
    } = params;
    const isArray = Array.isArray(values);
    if (isArray === false || values.length === 0) {
      throw new Error(`You cannot filter field "${name}" with "not_in" operator and not send an array of values.`);
    }
    const useBasePath = values.some(value => typeof value !== "string");
    query.must_not.push({
      terms: {
        [useBasePath ? basePath : path]: values
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorNotInPlugin = ElasticsearchQueryBuilderOperatorNotInPlugin;

//# sourceMappingURL=notIn.js.map